Restore an entity from a snapshot
curl --request POST \
--url http://10.2.4.166:8080/composer/api/snapshots/restore \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.composer.v3+json' \
--data '
{
"itemType": "SOURCE",
"itemId": "src-123",
"snapshotNumber": 2
}
'import requests
url = "http://10.2.4.166:8080/composer/api/snapshots/restore"
payload = {
"itemType": "SOURCE",
"itemId": "src-123",
"snapshotNumber": 2
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.composer.v3+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.composer.v3+json'
},
body: JSON.stringify({itemType: 'SOURCE', itemId: 'src-123', snapshotNumber: 2})
};
fetch('http://10.2.4.166:8080/composer/api/snapshots/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/snapshots/restore",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'itemType' => 'SOURCE',
'itemId' => 'src-123',
'snapshotNumber' => 2
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.composer.v3+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/snapshots/restore"
payload := strings.NewReader("{\n \"itemType\": \"SOURCE\",\n \"itemId\": \"src-123\",\n \"snapshotNumber\": 2\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.composer.v3+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://10.2.4.166:8080/composer/api/snapshots/restore")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.composer.v3+json")
.body("{\n \"itemType\": \"SOURCE\",\n \"itemId\": \"src-123\",\n \"snapshotNumber\": 2\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/snapshots/restore")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.composer.v3+json'
request.body = "{\n \"itemType\": \"SOURCE\",\n \"itemId\": \"src-123\",\n \"snapshotNumber\": 2\n}"
response = http.request(request)
puts response.read_body{
"itemType": "SOURCE",
"itemId": "src-123",
"restoredFromSnapshotNumber": 2,
"restoredAt": "2026-07-23T10:30:00Z",
"restoredByUserId": "user-123",
"message": "Source restored successfully"
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}{
"error": "SNAPSHOT_RESTORE_VALIDATION_FAILED",
"message": "Failed to restore snapshot 2 for source src-123",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}Restore an entity from a snapshot
Restore an entity from a snapshot
curl --request POST \
--url http://10.2.4.166:8080/composer/api/snapshots/restore \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.composer.v3+json' \
--data '
{
"itemType": "SOURCE",
"itemId": "src-123",
"snapshotNumber": 2
}
'import requests
url = "http://10.2.4.166:8080/composer/api/snapshots/restore"
payload = {
"itemType": "SOURCE",
"itemId": "src-123",
"snapshotNumber": 2
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.composer.v3+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.composer.v3+json'
},
body: JSON.stringify({itemType: 'SOURCE', itemId: 'src-123', snapshotNumber: 2})
};
fetch('http://10.2.4.166:8080/composer/api/snapshots/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/snapshots/restore",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'itemType' => 'SOURCE',
'itemId' => 'src-123',
'snapshotNumber' => 2
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.composer.v3+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/snapshots/restore"
payload := strings.NewReader("{\n \"itemType\": \"SOURCE\",\n \"itemId\": \"src-123\",\n \"snapshotNumber\": 2\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.composer.v3+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://10.2.4.166:8080/composer/api/snapshots/restore")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.composer.v3+json")
.body("{\n \"itemType\": \"SOURCE\",\n \"itemId\": \"src-123\",\n \"snapshotNumber\": 2\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/snapshots/restore")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.composer.v3+json'
request.body = "{\n \"itemType\": \"SOURCE\",\n \"itemId\": \"src-123\",\n \"snapshotNumber\": 2\n}"
response = http.request(request)
puts response.read_body{
"itemType": "SOURCE",
"itemId": "src-123",
"restoredFromSnapshotNumber": 2,
"restoredAt": "2026-07-23T10:30:00Z",
"restoredByUserId": "user-123",
"message": "Source restored successfully"
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}{
"error": "SNAPSHOT_RESTORE_VALIDATION_FAILED",
"message": "Failed to restore snapshot 2 for source src-123",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}Authorizations
HTTP Basic authentication using global administrator credentials (username and password).
Query Parameters
When true, suppresses import warnings and proceeds if there are no errors
Body
application/vnd.composer.v3+json
Request body for restoring an entity from a snapshot
Response
Entity restored successfully
Success response for a snapshot restore operation
Entity type that was restored
Available options:
SOURCE, VISUAL, DASHBOARD Example:
"SOURCE"
ID of the entity that was restored
Example:
"src-123"
Snapshot number that was restored from
Example:
2
Timestamp when the restore was performed
Example:
"2026-07-23T10:30:00Z"
ID of the user who performed the restore
Example:
"user-123"
Confirmation message
Example:
"Source restored successfully"
Was this page helpful?